SELF_EXPLANATORY
GET /v26.0/{event-id}/live_videos HTTP/1.1
Host: graph.facebook.com/* PHP SDK v5.0.0 */
/* make the API call */
try {
// Returns a `Facebook\FacebookResponse` object
$response = $fb->get(
'/{event-id}/live_videos',
'{access-token}'
);
} catch(Facebook\Exceptions\FacebookResponseException $e) {
echo 'Graph returned an error: ' . $e->getMessage();
exit;
} catch(Facebook\Exceptions\FacebookSDKException $e) {
echo 'Facebook SDK returned an error: ' . $e->getMessage();
exit;
}
$graphNode = $response->getGraphNode();
/* handle the result *//* make the API call */
FB.api(
"/{event-id}/live_videos",
function (response) {
if (response && !response.error) {
/* handle the result */
}
}
);/* make the API call */
new GraphRequest(
AccessToken.getCurrentAccessToken(),
"/{event-id}/live_videos",
null,
HttpMethod.GET,
new GraphRequest.Callback() {
public void onCompleted(GraphResponse response) {
/* handle the result */
}
}
).executeAsync();/* make the API call */
FBSDKGraphRequest *request = [[FBSDKGraphRequest alloc]
initWithGraphPath:@"/{event-id}/live_videos"
parameters:params
HTTPMethod:@"GET"];
[request startWithCompletionHandler:^(FBSDKGraphRequestConnection *connection,
id result,
NSError *error) {
// Handle the result
}];Reading from this edge will return a JSON formatted result:
{ "
data": [], "paging": {} }
datapaging| Error | Description |
|---|---|
| 100 | Invalid parameter |
live_videos edge from the following paths: | Parameter | Description |
|---|---|
content_tagslist<numeric string> | Tags that describe the contents of the video. Use search endpoint with
|
descriptionstring | The description of the live video. |
enable_backup_ingestboolean | Set this to true to enable a backup ingest url. stop_on_delete_stream defaults to false when set |
encoding_settingsstring | Identifier of the encoding settings group the broadcaster is using for this stream. This parameter is currently only in use for live-360 broadcasts. The value to be passed to this parameter is the value of the |
event_paramsLive Video Event Parameter | Parameters specific to Live Online Event broadcast. If Example: { start_time: 1641013200, cover: 'https://your.url/image.jpg', } |
fisheye_video_croppedboolean | Whether the single fisheye video is cropped or not |
front_z_rotationfloat | The front z rotation in degrees on the single fisheye video |
is_sphericalboolean | Flag that denotes the broadcast is a 360 live broadcast. |
original_fovint64 | Original field of view of the camera |
privacyPrivacy Parameter | Privacy for this live video. |
projectionenum {EQUIRECTANGULAR, CUBEMAP, HALF_EQUIRECTANGULAR} | Flag that denotes expected projection for 360 live streams. The default value is EQUIRECTANGULAR. |
publishedboolean | Set this to false to preview the stream before going live.
|
schedule_custom_profile_imageimage | Custom image that will appear in the scheduled live story and lobby. |
spatial_audio_formatenum {ambiX_4} | Denotes the format of the spatial audio stream. When unspecified audio is presumed to be mono or stereo. |
statusenum {UNPUBLISHED, LIVE_NOW, SCHEDULED_UNPUBLISHED, SCHEDULED_LIVE, SCHEDULED_CANCELED} | The status of the broadcast. A |
stereoscopic_modeenum {MONO, LEFT_RIGHT, TOP_BOTTOM, MULTI_VIEW} | Set this parameter to the stereoscopic mode for this video. |
stop_on_delete_streamboolean | Set this to true if stream should be stopped when deleteStream RTMP command received. |
titlestring | The title of the live video. Maximum 254 characters. |
id in the return type.id: numeric string, stream_url: string, secure_stream_url: string, stream_secondary_urls: List [secure_stream_secondary_urls: List [dash_ingest_url: string, dash_ingest_secondary_urls: List [event_id: numeric string, | Error | Description |
|---|---|
| 6000 | There was a problem uploading your video file. Please try again with another file. |